varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

void main() {
	vec4 texColor = texture2D(u_texture, v_texCoord);
	
    vec4 color = mix( v_color , texColor, ( smoothstep ( vec4(0.8,0.8,0.8,1) , vec4(1,1,1,1) , texColor ) ) );
	
 	gl_FragColor = (texColor * color);
}

